Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.jsse
Class TLSClientParameters

    java.lang.Object
      org.apache.cxf.configuration.jsse.TLSParameterBase
          org.apache.cxf.configuration.jsse.TLSClientParameters

    public class TLSClientParameters

extends TLSParameterBase

This class extends `TLSParameterBase` with client-specific SSL/TLS parameters.

Constructor Summary
`TLSClientParameters()`

Method Summary
`int` | `getSslCacheTimeout()` Returns the SSL cache timeout if it has been configured or the JDK default value
`SSLSocketFactory` | `getSSLSocketFactory()` Returns the SSLSocketFactory to be used, or null if none has been set.
`boolean` | `isDisableCNCheck()` Returns whether or not JSSE omits checking if the host name specified in the URL matches that of the Common Name (CN) on the server's certificate.
`boolean` | `isUseHttpsURLConnectionDefaultHostnameVerifier()` Returns whether or not `HttpsURLConnection.getDefaultHostnameVerifier()` should be used to create https connections.
`boolean` | `isUseHttpsURLConnectionDefaultSslSocketFactory()` Returns whether or not `HttpsURLConnection.getDefaultSSLSocketFactory()` should be used to create https connections.
`void` | `setDisableCNCheck(boolean disableCNCheck)` Set whether or not JSEE should omit checking if the host name specified in the URL matches that of the Common Name (CN) on the server's certificate.
`void` | `setSslCacheTimeout(int sslCacheTimeout)` This sets the SSL Session Cache timeout value for client sessions handled by CXF
`void` | `setSSLSocketFactory(SSLSocketFactory factory)` This sets the SSLSocketFactory to use, causing all other properties of this bean (and its superclass) to get ignored (this takes precendence).
`void` | `setUseHttpsURLConnectionDefaultHostnameVerifier(boolean useHttpsURLConnectionDefaultHostnameVerifier)` Sets whether or not `HttpsURLConnection.getDefaultHostnameVerifier()` should be used to create https connections.
`void` | `setUseHttpsURLConnectionDefaultSslSocketFactory(boolean useHttpsURLConnectionDefaultSslSocketFactory)` Sets whether or not `HttpsURLConnection.getDefaultSSLSocketFactory()` should be used to create https connections.

Methods inherited from class org.apache.cxf.configuration.jsse.TLSParameterBase
`getCertConstraints, getCipherSuites, getCipherSuitesFilter, getJsseProvider, getKeyManagers, getSecureRandom, getSecureSocketProtocol, getTrustManagers, setCertConstraints, setCipherSuites, setCipherSuitesFilter, setJsseProvider, setKeyManagers, setSecureRandom, setSecureSocketProtocol, setTrustManagers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TLSClientParameters

    public TLSClientParameters()

Method Detail

### setDisableCNCheck

    public void setDisableCNCheck(boolean disableCNCheck)

  Set whether or not JSEE should omit checking if the host name specified in the URL matches that of the Common Name (CN) on the server's certificate. Default is false; this attribute should not be set to true during production use.

### isDisableCNCheck

    public boolean isDisableCNCheck()

  Returns whether or not JSSE omits checking if the host name specified in the URL matches that of the Common Name (CN) on the server's certificate.

### setSSLSocketFactory

    public final void setSSLSocketFactory(SSLSocketFactory factory)

  This sets the SSLSocketFactory to use, causing all other properties of this bean (and its superclass) to get ignored (this takes precendence).

### getSSLSocketFactory

    public final SSLSocketFactory getSSLSocketFactory()

  Returns the SSLSocketFactory to be used, or null if none has been set.

### getSslCacheTimeout

    public int getSslCacheTimeout()

  Returns the SSL cache timeout if it has been configured or the JDK default value

### setSslCacheTimeout

    public void setSslCacheTimeout(int sslCacheTimeout)

  This sets the SSL Session Cache timeout value for client sessions handled by CXF

### isUseHttpsURLConnectionDefaultSslSocketFactory

    public boolean isUseHttpsURLConnectionDefaultSslSocketFactory()

  Returns whether or not `HttpsURLConnection.getDefaultSSLSocketFactory()` should be used to create https connections. If `true` , `TLSParameterBase.getJsseProvider()` , `TLSParameterBase.getSecureSocketProtocol()`, `TLSParameterBase.getTrustManagers()`, `TLSParameterBase.getKeyManagers()`, `TLSParameterBase.getSecureRandom()`, `TLSParameterBase.getCipherSuites()` and `TLSParameterBase.getCipherSuitesFilter()` are ignored.

### setUseHttpsURLConnectionDefaultSslSocketFactory

    public void setUseHttpsURLConnectionDefaultSslSocketFactory(boolean useHttpsURLConnectionDefaultSslSocketFactory)

  Sets whether or not `HttpsURLConnection.getDefaultSSLSocketFactory()` should be used to create https connections.

  See Also:
    `isUseHttpsURLConnectionDefaultSslSocketFactory()`

### isUseHttpsURLConnectionDefaultHostnameVerifier

    public boolean isUseHttpsURLConnectionDefaultHostnameVerifier()

  Returns whether or not `HttpsURLConnection.getDefaultHostnameVerifier()` should be used to create https connections. If `true`, `isDisableCNCheck()` is ignored.

### setUseHttpsURLConnectionDefaultHostnameVerifier

    public void setUseHttpsURLConnectionDefaultHostnameVerifier(boolean useHttpsURLConnectionDefaultHostnameVerifier)

  Sets whether or not `HttpsURLConnection.getDefaultHostnameVerifier()` should be used to create https connections.

  See Also:
    `isUseHttpsURLConnectionDefaultHostnameVerifier()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF